# $Revision: 1.8 $, $Date: 2001/05/27 17:52:09 $
Summary:	Mgdiff - graphical front end to the diff
Summary(pl):	Mgdiff - graficzna nakadka dla diff
Name:		mgdiff
Version:	1.0
Release:	3
License:	GPL
Group:		X11/Applications
Group(de):	X11/Applikationen
Group(pl):	X11/Aplikacje
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Patch0:		%{name}-misc.patch
Patch1:		%{name}-readme.patch
BuildRequires:	motif-devel
BuildRequires:	XFree86-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
Mgdiff is a graphical front end to the diff command.

%description -l pl
Mgdiff jest graficzn nakadk dla polecenia diff.

%prep
%setup -q -n mgdiff
%patch0 -p0
%patch1 -p1

%build
xmkmf -a
%{__make} CDEBUGFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_applnkdir}/Utilities
%{__make} install install.man \
	DESTDIR=$RPM_BUILD_ROOT \
	MANDIR=%{_mandir}/man1 \
	XAPPLOADDIR=%{_libdir}/X11/app-defaults \
	BINDIR=%{_bindir}

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Utilities

gzip -9nf README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.gz
%attr(755,root,root) %{_bindir}/mgdiff
%config %{_libdir}/X11/app-defaults/Mgdiff

%{_mandir}/man1/*
%{_applnkdir}/Utilities/mgdiff.desktop

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: mgdiff.spec,v $
Revision 1.8  2001/05/27 17:52:09  kloczek
- release 3.

Revision 1.7  2001/05/02 21:51:24  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.6  2000/11/12 16:58:51  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.5  2000/06/12 13:36:40  baggins
- change buildrequires from lesstif-devel to motif-devel

Revision 1.4  2000/06/09 07:23:25  kloczek
- added using %%{__make} macro.

Revision 1.3  2000/04/01 11:14:53  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.1  1999/11/12 18:43:49  pius
- initial release

